PowerPoint1ParserInternal::Slide Struct Reference

Internal: a slide of a PowerPoint1Parser. More...

## Public Member Functions

| Slide ()
| constructor

## Public Attributes

TextZone | m_textZones [2]
| the textzone: main's and note's zone
std::vector< Frame > | m_framesList [2]
| the list of frames: main's and note's list of frame
bool | m_useMasterPage
| a flag to know if we need to use the master page
int | m_schemeId
| the scheme id

## Detailed Description

Internal: a slide of a PowerPoint1Parser.

## Constructor & Destructor Documentation

## Slide()

PowerPoint1ParserInternal::Slide::Slide | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_framesList

std::vector<Frame> PowerPoint1ParserInternal::Slide::m_framesList[2]

the list of frames: main's and note's list of frame

Referenced by PowerPoint1Parser::sendSlide(), and PowerPoint1Parser::sendSlideNote().

## m_schemeId

int PowerPoint1ParserInternal::Slide::m_schemeId

the scheme id

Referenced by PowerPoint1Parser::sendSlide(), and Slide().

## m_textZones

TextZone PowerPoint1ParserInternal::Slide::m_textZones[2]

the textzone: main's and note's zone

Referenced by PowerPoint1Parser::sendSlide(), and PowerPoint1Parser::sendSlideNote().

## m_useMasterPage

bool PowerPoint1ParserInternal::Slide::m_useMasterPage

a flag to know if we need to use the master page

Referenced by Slide().

The documentation for this struct was generated from the following file:

- PowerPoint1Parser.cxx